Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.util
[Java] Class SingleKeyHashMap

    java.lang.Object
      org.codehaus.groovy.util.ComplexKeyHashMap
          org.codehaus.groovy.util.SingleKeyHashMap

    public class SingleKeyHashMap
    extends ComplexKeyHashMap

Nested Class Summary
`interface` | `SingleKeyHashMap.Copier`
`static class` | `SingleKeyHashMap.Entry`

Field Summary

Fields inherited from class ComplexKeyHashMap
DEFAULT_CAPACITY, MAXIMUM_CAPACITY, MINIMUM_CAPACITY, size, table, threshold

Method Summary
`java.lang.Object` | `SingleKeyHashMap()`
`java.lang.Object` | `SingleKeyHashMap(boolean b)`
`boolean` | `containsKey(java.lang.String name)`
`static SingleKeyHashMap` | `copy(SingleKeyHashMap dst, SingleKeyHashMap src, SingleKeyHashMap.Copier copier)`
`java.lang.Object` | `get(java.lang.Object key)`
`SingleKeyHashMap.Entry` | `getOrPut(java.lang.Object key)`
`SingleKeyHashMap.Entry` | `getOrPutEntry(SingleKeyHashMap.Entry element)`
`void` | `put(java.lang.Object key, java.lang.Object value)`
`SingleKeyHashMap.Entry` | `putCopyOfUnexisting(SingleKeyHashMap.Entry ee)`
`Entry` | `remove(java.lang.Object key)`

Methods inherited from class ComplexKeyHashMap
ComplexKeyHashMap, ComplexKeyHashMap, ComplexKeyHashMap, clear, getEntrySetIterator, getTable, hash, init, isEmpty, resize, size

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### SingleKeyHashMap

    public java.lang.Object SingleKeyHashMap()

### SingleKeyHashMap

    public java.lang.Object SingleKeyHashMap(boolean b)

### containsKey

    public boolean containsKey(java.lang.String name)

### copy

    public static SingleKeyHashMap copy(SingleKeyHashMap dst, SingleKeyHashMap src, SingleKeyHashMap.Copier copier)

### get

    public final java.lang.Object get(java.lang.Object key)

### getOrPut

    public SingleKeyHashMap.Entry getOrPut(java.lang.Object key)

### getOrPutEntry

    public SingleKeyHashMap.Entry getOrPutEntry(SingleKeyHashMap.Entry element)

### put

    public void put(java.lang.Object key, java.lang.Object value)

### putCopyOfUnexisting

    public SingleKeyHashMap.Entry putCopyOfUnexisting(SingleKeyHashMap.Entry ee)

### remove

    public final Entry remove(java.lang.Object key)

Groovy Documentation